import { EventEmitter, QueryList } from "@angular/core";
import { SimpleGridColumnDirective, SimpleGridComponent } from "@colijnit/corecomponents_v12";
import { StatusType } from "../../../enum/status-type.enum";
import { Icon } from "../../../enum/icon.enum";
import { IconCacheService } from "../../../service/icon-cache.service";
export declare class TransactionHistoryGridComponent {
    iconsService: IconCacheService;
    readonly statusType: typeof StatusType;
    readonly icons: typeof Icon;
    set content(columnComponents: QueryList<SimpleGridColumnDirective>);
    grid: SimpleGridComponent;
    set collection(collection: any);
    get collection(): any;
    showDeleteButton: boolean;
    deleteSelectedRow: EventEmitter<any>;
    showClass(): boolean;
    extraColumns: SimpleGridColumnDirective[];
    private _collection;
    selectedRow: any;
    constructor(iconsService: IconCacheService);
    handleSelectRow(row: any): void;
    handleDeleteClick(): void;
}
